# Generated by Django 4.2.4 on 2023-08-31 09:47

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('main', '0011_alter_post_body'),
    ]

    operations = [
        migrations.CreateModel(
            name='Tour',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=30)),
                ('header', models.CharField(max_length=40)),
                ('slug', models.SlugField(max_length=100, unique=True)),
                ('body', models.TextField(max_length=10000)),
                ('image', models.ImageField(upload_to='static/images/tours/', verbose_name='image')),
                ('feature1', models.CharField(max_length=50)),
                ('feature1_icon', models.CharField(max_length=20)),
                ('feature2', models.CharField(max_length=50)),
                ('feature2_icon', models.CharField(max_length=20)),
                ('feature3', models.CharField(max_length=50)),
                ('feature3_icon', models.CharField(max_length=20)),
                ('feature4', models.CharField(max_length=50)),
                ('feature4_icon', models.CharField(max_length=20)),
                ('feature5', models.CharField(max_length=50)),
                ('feature5_icon', models.CharField(max_length=20)),
                ('feature6', models.CharField(max_length=50)),
                ('feature6_icon', models.CharField(max_length=20)),
                ('is_featured', models.BooleanField(default=False, verbose_name='featured?')),
                ('is_published', models.BooleanField(default=False, verbose_name='featured?')),
            ],
            options={
                'verbose_name': 'tour',
                'verbose_name_plural': 'tours',
                'ordering': ('title',),
            },
        ),
    ]
